# Get Recipes from a Collection

This endpoint allows getting all recipes from a collection.

## Get Recipes from Collection

<mark style="color:blue;">`GET`</mark> `https://graph.whisk.com/v1/:collection_id/recipes`

#### Path Parameters

| Name           | Type   | Description                  |
| -------------- | ------ | ---------------------------- |
| collection\_id | string | Unique collection identifier |

#### Request Body

| Name   | Type   | Description                                                                    |
| ------ | ------ | ------------------------------------------------------------------------------ |
| limit  | number | This is the maximum number of objects that may be returned Default value: `16` |
| before | string | This is the cursor to return data on a page before it.                         |
| after  | string | This is the cursor to return data on a page before it.                         |

{% tabs %}
{% tab title="200 The result is a list of collection recipes." %}

```javascript
{
  "recipes": [
    {
      "id": "97f77cceca5d11e7ae7e42010a9a0035",
      "name": "Quick coronation chicken sandwich",
      "description": "Use leftover roast chicken to make a delicious coronation chicken sandwich ready to pack in your lunchbox.",
      "images": [
        {
          "url": "http://cdnwp.audiencemedia.com/wp-content/uploads/2015/01/478091-1-eng-GB_coronation-chick-sandwich-470x540.jpg",
          "responsive": {
            "url": "https://lh3.googleusercontent.com/crjY_vyxK8kdBYYBd6VVtlGwIXuG3pn9DuCSWP4-_VtURbrYfpKPrYDMmrlCwc8kqSAsgCBtjhqU2C7PEjU0wMDh4FSK",
            "width": 470,
            "height": 540
          }
        },
        {
          "url": "http://cdnwp.audiencemedia.com/wp-content/uploads/2015/01/478091-1-eng-GB_coronation-chick-sandwich.jpg",
          "responsive": {
            "url": "https://lh3.googleusercontent.com/fz02xdShfu1ax6ZZLhMp2zn7WwGXN7XlVx6ZXR8X_uN-x5DEdCW_Q9tIacitVtyI-yIkxZ6-nqpLCQIrPNijwM4wIPg",
            "width": 960,
            "height": 927
          }
        }
      ],
      "source": {
        "name": "deliciousmagazine.co.uk",
        "displayName": "delicious. magazine",
        "sourceRecipeUrl": "http://www.deliciousmagazine.co.uk/recipes/quick-coronation-chicken-sandwich/",
        "license": "Fairuse"
      },
      "numberOfServings": 1,
      "labels": {
        "mealType": [],
        "cuisine": [],
        "category": [
          {
            "name": "quick-and-easy",
            "displayName": "Quick and easy"
          }
        ]
      }
    },
    ...
  ],
  "paging": {
    "cursors": {
      "after": "eyJpZCI6ImNhZjVlOWY3Y2YxNzFkYjBmZTdkYjJmOTM4M2M0ZDIzIiwiaW5kZXgiOjF9"
    },
    "total": 53
  }
}
```

{% endtab %}
{% endtabs %}

### Sample Request

```bash
curl "https://graph.whisk.com/v1/9773cb7eca5d11e7ae7e42010a9a0035/recipes" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer <Access-Token>"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/recipes/user-recipes-and-collections/get-recipes-from-a-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
